[ARVADOS] updated: 2eb7ed57612ce4d360e02b4c3cd0dc43f6db9511

git at public.curoverse.com git at public.curoverse.com
Fri Feb 12 18:39:04 EST 2016


Summary of changes:
 sdk/cli/bin/crunch-job | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

       via  2eb7ed57612ce4d360e02b4c3cd0dc43f6db9511 (commit)
      from  292d026aecbc6b7e1bd12a6c5db8cc905318a992 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 2eb7ed57612ce4d360e02b4c3cd0dc43f6db9511
Author: Brett Smith <brett at curoverse.com>
Date:   Fri Feb 12 18:38:36 2016 -0500

    8203: crunch-job tempfails after failing to install a Docker image.
    
    * Use `bash -o pipefail` to run the image installer shell script, to
      reliably detect more failures.
    * Exit EX_RETRY_UNLOCKED after a failure to install the image.
    
    Refs #8203, because I'm cautiously optimistic that this will reduce
    the incidence of the "can't find UID" problem.

diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index 4e5b082..ae210a6 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -432,7 +432,7 @@ fi
   if ($docker_pid == 0)
   {
     srun (["srun", "--nodelist=" . join(',', @node)],
-          ["/bin/sh", "-ec", $docker_install_script]);
+          ["/bin/bash", "-o", "pipefail", "-ec", $docker_install_script]);
     exit ($?);
   }
   while (1)
@@ -443,8 +443,8 @@ fi
   }
   if ($? != 0)
   {
-    croak("Installing Docker image from $docker_locator exited "
-          .exit_status_s($?));
+    Log(undef, "Installing Docker image from $docker_locator exited " . exit_status_s($?));
+    exit(EX_RETRY_UNLOCKED);
   }
 
   # Determine whether this version of Docker supports memory+swap limits.

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list